Empathy doesn't display buddy list

Bug #1018504 reported by Nicholas Skaggs on 2012-06-27
18
This bug affects 3 people
Affects Status Importance Assigned to Milestone
telepathy-glib (Ubuntu)
High
Unassigned
Precise
Undecided
Unassigned

Bug Description

[Impact]
Bug #1018504 - Fixed in upstream, backported by upstream to stable release (see content below)
It seems an upstream issue with google contacts not being displayed is potential in stable release due to a race condition
[Test Case]
-setup a google talk account
-make sure contacts load
[Regression Potential]
None expected as other than the race condition bug the fixes are minor build related issues.

FROM UPSTREAM EMAIL:
I strongly suggest to distributions shipping GNOME 3.4 to update to this
version ASAP as it fixes a nasty race preventing GTalk contacts to be
loaded.

Empathy doesn't display buddy list for a xmpp (gtalk) or AIM account. See the screenshot.

Command line Output:

(empathy:6530): folks-WARNING **: Failed to find primary PersonaStore with type ID 'eds' and ID 'system'.
Individuals will not be linked properly and creating new links between Personas will not work.
The configured primary PersonaStore's backend may not be installed. If you are unsure, check with your distribution.

(empathy:6530): tp-glib-CRITICAL **: tp_connection_upgrade_contacts: assertion `tp_proxy_is_prepared (self, TP_CONNECTION_FEATURE_CONNECTED)' failed

(empathy:6530): tp-glib-CRITICAL **: tp_connection_upgrade_contacts: assertion `tp_proxy_is_prepared (self, TP_CONNECTION_FEATURE_CONNECTED)' failed

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: empathy 3.5.1-0ubuntu3
ProcVersionSignature: Ubuntu 3.5.0-2.2-generic 3.5.0-rc4
Uname: Linux 3.5.0-2-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.2.5-0ubuntu1
Architecture: amd64
Date: Wed Jun 27 12:47:53 2012
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
SourcePackage: empathy
UpgradeStatus: Upgraded to quantal on 2012-06-08 (18 days ago)

Nicholas Skaggs (nskaggs) wrote :
description: updated
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in empathy (Ubuntu):
status: New → Confirmed
Bilal Shahid (s9iper1) wrote :

thanks for the bug report
please attach the mission control log file with the bug report.
you can get it from help ==> debug menu.

Changed in empathy (Ubuntu):
status: Confirmed → Incomplete
Nicholas Skaggs (nskaggs) wrote :

I lost this installation to a hard drive issue. I will upgrade again shortly and see if it affects me again and update the bug.

Nicholas Skaggs (nskaggs) wrote :

Ok, reinstalled and this issue is prevelant again. Attached are the logs -- I removed my private info from them.

Nicholas Skaggs (nskaggs) wrote :

And the empathy log

Bilal Shahid (s9iper1) wrote :

you need to attach the full mission control log here its has no info .

Brian Curtis (bcurtiswx) wrote :

This was fixed in the development release. Adding task for Precise SRU.

Changed in empathy (Ubuntu):
importance: Undecided → High
status: Incomplete → Fix Released
Nicholas Skaggs (nskaggs) wrote :

Empathy is loading and working now for me in quantal, thank you!

Didier Roche (didrocks) on 2012-09-10
description: updated

Hello Nicholas, or anyone else affected,

Accepted telepathy-glib into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/telepathy-glib/0.18.2-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Sebastien Bacher (seb128) wrote :

That SRU is waiting to be verified for over 50 days, is there any chance you could try the update?

tags: added: verification-done
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

no longer affects: empathy (Fedora)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Adam Conrad (adconrad) on 2013-01-30
affects: empathy (Ubuntu) → telepathy-glib (Ubuntu)
Changed in telepathy-glib (Ubuntu Precise):
status: New → Confirmed
Adam Conrad (adconrad) wrote :

This bug was fixed in the package telepathy-glib - 0.18.2-0ubuntu1

---------------
telepathy-glib (0.18.2-0ubuntu1) precise-proposed; urgency=low

  * New upstream stable release. (LP: #1030416)
    - refreshed patch
    - Empathy doesn't display buddy list (LP: #1018504)
 -- Brian Curtis <email address hidden> Sat, 28 Jul 2012 20:48:04 -0400

Changed in telepathy-glib (Ubuntu Precise):
status: Confirmed → Fix Released

I am experiencing this bug since I upgraded to raring.
I don't have, and I can't install any package named telepathy-glib (as indicated in the previous comment)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers